
CoCoA-5 - Feature #1084

New function: PrevPrime

29 Jun 2017 08:39 - Anna Maria Bigatti

Status: Closed Start date: 29 Jun 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: CoCoA-5 function: new Estimated time: 1.51 hour

Target version: CoCoA-5.2.2 Spent time: 1.00 hour

Description

We have NextPrime.

For modular methods it would be nice to have PrevPrime, so that we can start from the biggest meaningful prime and go down.

Related issues:

Related to CoCoALib - Bug #1088: MinPolyQuot: runs out of primes Closed 05 Jul 2017

History

#1 - 29 Jun 2017 14:54 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

In CoCoALib the function is already there; it is not exported to CoCoA-5, but perhaps should be?

It is also documented!

#2 - 29 Jun 2017 16:31 - Anna Maria Bigatti

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99560

- % Done changed from 10 to 70

- Estimated time set to 1.51 h

Great, thanks!

I could swear I had looked for it, without finding it....

I have added it to cocoa-5.

checked-in

#3 - 29 Jun 2017 16:32 - Anna Maria Bigatti

- Project changed from CoCoALib to CoCoA-5

- Category changed from New Function to CoCoA-5 function: new

- Status changed from In Progress to Feedback

- Target version changed from CoCoALib-0.99560 to CoCoA-5.2.2

#4 - 07 Jul 2017 11:58 - Anna Maria Bigatti

- Related to Bug #1088: MinPolyQuot: runs out of primes added

#5 - 13 Nov 2017 15:43 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 70 to 100
Completed CoCoA-5 man page for PrevPrime.
